Commit 3f8e5cc6 authored by Arnaud Blanchard's avatar Arnaud Blanchard

Rename test to checke

parent 6777256e
blc_core @ 527aeb0c
Subproject commit ca6e0cf492e49f42420ab7d99b5dd0964f72d5a0
Subproject commit 527aeb0cc2fc65f61dec712fbcab2002ebd996f9
blc_image @ a70a4d72
Subproject commit 4568ce027376fd6067f52f9f9f8372174a9bc867
Subproject commit a70a4d72262bd3b3816618fcca80d654109d104e
blc_program @ 87b12689
Subproject commit 8ef21a8d399fa516f7fb4d1ec7564da7ef1efad9
Subproject commit 87b12689cade742b691b7bcf714fd924564f972b
# Copyright ETIS — ENSEA, Université de Cergy-Pontoise, CNRS (2011 - 2016)
# Author: Arnaud Blanchard (November, 2016)
#
# This software is governed by the CeCILL v2.1 license under French law and abiding by the rules of distribution of free software.
# You can use, modify and/ or redistribute the software under the terms of the CeCILL v2.1 license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
# As a counterpart to the access to the source code and rights to copy, modify and redistribute granted by the license,
# users are provided only with a limited warranty and the software's author, the holder of the economic rights, and the successive licensors have only limited liability.
# In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software,
# that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge.
# Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured  and, more generally, to use and operate it in the same conditions as regards security.
# The fact that you are presently reading this means that you have had knowledge of the CeCILL v2.1 license and that you accept its terms.
#
echo
echo "Check all projects"
echo "================="
echo
echo "It should take ~10s or less"
error=0
git submodule foreach --quiet '( ./check.sh || echo "\n### ERROR: $?" )' #( ) for execution in parallel
echo
\ No newline at end of file
echo
echo "Test all projects"
echo "================="
echo
echo "It should take ~10s or less"
error=0
git submodule foreach --quiet '( ./test.sh || echo "\n### ERROR: $?" )' #( ) for execution in parallel
echo
\ No newline at end of file
......@@ -20,8 +20,8 @@ echo "---------------------------"
echo
git pull && git submodule update --init
echo
echo "Reinstall and test all"
echo "----------------------"
echo "Reinstall and check all"
echo "-----------------------"
echo
git submodule foreach --quiet '(../install.sh && ./test.sh)' || { echo "### Impossible to install updates"; exit 1; }
git submodule foreach --quiet '(../install.sh && ./check.sh)' || { echo "### Impossible to install updates"; exit 1; }
echo
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment